//gcc2catalina.h
//Compatability header for catalina, to allow it to work with the same
//source code as PropGCC for my demo program.

#ifndef _GCC2CATALINA_H //{
#define _GCC2CATALINA_H 
#define BIT(x) (1L<<x)

#ifdef __CATALINA__ //{
#include <catalina_cog.h>
#define cognew( code , data ) _coginit( ((long)(data))>>2, ((long)(&code))>>2, ANY_COG )
#define cogid() _cogid()
#define cogstop(id) _cogstop(id)
#define waitcnt(count) _waitcnt(count)
#define dira(mask,val) _dira(mask,val)
#define outa(mask,val) _outa(mask,val)
#define ina() _ina()
#define dirb(mask,val) _dirb(mask,val)
#define outb(mask,val) _outb(mask,val)
#define inb() _inb()

#else //}{

#include <propeller.h>
#define dira(mask,val) { if (val) DIRA |= mask; else DIRA &= ~mask; }
#define outa(mask,val) { if (val) OUTA |= mask; else OUTA &= ~mask; }
#define ina() (_INA)
#define dirb(mask,val) { if (val) DIRB |= mask; else DIRB &= ~mask; } 
#define outb(mask,val) { if (val) OUTB |= mask; else OUTB &= ~mask; }
#define inb() (_INB)

#endif //}
#endif //}
